FROM node:20 AS build

WORKDIR /app


COPY doodlestudent/front .

RUN npm install

RUN npx ng build


FROM nginx:alpine

COPY --from=build /app/dist/tlcfront /usr/share/nginx/html
COPY nginx.conf /etc/nginx/conf.d/default.conf

EXPOSE 80

CMD ["nginx", "-g", "daemon off;"]